## mlterm 2.4.0.cvs20020414

=== Makefile ===
all .DEFAULT:
	cd kiklib/autoconf ; $(MAKE) $@
	cd mkf/autoconf ; $(MAKE) $@
	cd autoconf ; $(MAKE) $@

install:
	cd kiklib/autoconf ; $(MAKE) install-la
	cd mkf/autoconf ; $(MAKE) install-la
	cd autoconf ; $(MAKE) install

distclean:
	-cd kiklib/autoconf ; $(MAKE) $@
	-cd mkf/autoconf ; $(MAKE) $@
	-cd autoconf ; $(MAKE) $@
	rm -f config.log config.cache config.status install-sh mkf/kiklib
