=== kiklib/autoconf/Makefile ===
all .DEFAULT:
	cd ../src ; $(MAKE) $@
	
distclean : clean
	rm -f config.log config.cache config.status libtool \
		../src/Makefile ../src/kik_config.h
