=== mkf/autoconf/Makefile ===
all .DEFAULT:
	cd ../lib ; $(MAKE) $@

distclean : clean
	rm -f config.log config.cache config.status libtool \
		config.mk ../lib/Makefile
