## mlterm 2.9.4

=== tool/accessories/Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin

DESTDIR=
BINDIR=$(DESTDIR)$(bindir)

TARGETS=viewsfml.sh xconsole.sh google.sh

INSTALL=install -c

install:
	$(INSTALL) -m 755 viewsfml.sh xconsole.sh $(BINDIR)/
