## mlterm 3.0.1

=== debian/changelog ===
mlterm (3.0.1-2) unstable; urgency=low

  * Added numlock.diff patch, to add XK_Num_Lock to default_keysyms in
    x_window_get_mod_ignore_mask() (Closes: #597380)
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Use Breaks/Replaces mlterm (<= 2.8.0.cvs20040403-2) for mlterm-tools
      instead of Conflicts

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 25 Sep 2010 04:25:14 +0300

mlterm (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh 7 features
  * debian/mlterm-tools.lintian-overrides: Remove extra W:
  * debian/control:
    + B-D on debhelper >= 7.0.50~
    + Removed ttf-thabit from Suggests.
    + Added Vcs-* fields.
  * debian/*.dirs: Removed dirs that would be created anyways during
    installation.
  * debian/config-aafont: Use the virtual font Monospace instead of
    setting a certain font.
  * debian/rules:
    + Remove mkf/libtbl/Makefile on clean stage.
    + Do not explicitly run configure in contrib/tools/mlcc, since configure
      script has been patched to do so.
    + Do not ignore make-clean-error.
    + Remove many cleaning commands from clean target since they were already
      cleaned by upstream build system, only a couple of files needed to be
      cleaned by patching build system.
    + Add --enable-{m17nlib,uim,scim} in the final configure call, that is to
      get the respective dirs cleaned at the end.
    + Install libim-{uim,scim,m17nlib} libraries by moving them from
      $(MLTERM_COMMON)/usr/lib/mlterm/ to the respective packages.
    + Clean up.
  * Renamed patch debian-changes-3.0.0-1~ppa1 to disable_rpath.diff, and add
    description to it.
  * Added consistent_manpage.diff patch to make manpage consistent with
    default settings in Debian package (Closes: #419594)
  * Removed debian/mlterm-common.post{inst,rm} as they will be generated
    automatically by debhelper.
  * debian/mlterm-tiny.prerm: Call update-alternatives on "remove" instead of
    "deconfigure" (Closes: #355432).
  * debian/watch: use versionmangling to get correct uscan results.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 18 Jun 2010 09:54:18 +0300

mlterm (3.0.0-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org> ]
  * New upstream release. (closes: #577247)
  * Removed CVS snapshot patch since it is included upstream.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    + Added --enable-optimize-redrawing to common configure options
    + Added VPATH=$(CURDIR)/xwindow-tiny argument when building xterm-tiny
    + Use dh_prep instead of deprecated dh_clean -k
    + Added binary-indep target.
  * debian/compat: Bumped compat level to 7
  * debian/control:
    + Added ${misc:Depends} to Depends fields.
    + Bumped to Standards-Version 3.8.4
    + Added Homepage field.
    + Removed dpatch from Build-Deps.
    + Bumped debhelper dependency to version 7.
    + Added otf-thabit to Suggests field.
  * Added debian/watch, mlterm-tools.manpages,
    {mlterm,mlterm-tiny,mlterm-tools}.lintian-overrides
  * debian/*.menu: Set the section to "Applications/Terminal Emulators"
  * debian/mlterm.desktop: Remove Encoding field.
  * tool/mlconfig/Makefile.in: remove -R/usr/local/lib
  * debian/*.prerm: Add set -e in body of scripts.
  * debian/config-aafont: Added setting for UTF8 fixed width Arabic
    characters.

  [ Kenshi Muto ]
  * Thanks a lot for your excellent work, Ahmed!
  * Exclude /usr/lib/mlterm/*.so from dh_makeshlibs target.
  * Remove tool/mlclient/mlclientx on clean stage.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Apr 2010 20:51:55 +0900

mlterm (2.9.4-6) unstable; urgency=low

  * CVS snapshot 20090216.
    - merge 01_engine-for-debian patch.
    - fix that uim-skk can't choose candidates (closes: #506826)
  * update Build-Depends: replace x-dev by x11proto-core-dev.
    (closes: #515491)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 16 Feb 2009 16:50:32 +0900

mlterm (2.9.4-5) unstable; urgency=medium

  * Fix im-uim fail at initialization time. (closes: #506618)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 23 Nov 2008 11:33:19 +0900

mlterm (2.9.4-4) unstable; urgency=low

  * New maintainer upload.
    - Set myself on Maintainer.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 19 Jun 2008 08:38:25 +0900

mlterm (2.9.4-3) unstable; urgency=medium

  * CVS snapshot 20080528.
    - Fix FTBFS (closes: #483336) by including stdio.h on im_uim.c.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 29 May 2008 09:19:25 +0900

mlterm (2.9.4-2) unstable; urgency=medium

  * Add libxml2-dev and libthai-dev to Build-depends to
    fix FTBFS (closes: #473961)
  * Add tight version dependency to mlterm|mlterm-tiny on mlterm-tools.
    (closes: #470580)
  * Bump up policy to 3.7.3.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 02 Apr 2008 23:14:23 +0900

mlterm (2.9.4-1) unstable; urgency=medium

  * New upstream release
  * Fix incorrect mlterm-common.shlibs. It solves FTBFS (closes: #453802)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 02 Dec 2007 15:45:46 +0900

mlterm (2.9.3-6) unstable; urgency=low

  * apply cvs changes 1.948.
  * follow uim library (libuim5) transition.
  * modified build-depends. removed libxft2-dev. replaced scim-dev with
    libscim-dev. added libgcroots-dev.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 06 May 2007 16:03:57 +0900

mlterm (2.9.3-5) unstable; urgency=medium

  * Fix 64 bit FTBFS around kik_utmp_sysv.c:123. (closes: #396532)
  * Set VLGothic for default Japanese font.
  * Use freetype to get fonts instead of XLFD. (closes: #352662)

 -- Kenshi Muto <kmuto@debian.org>  Wed,  1 Nov 2006 21:49:28 +0900

mlterm (2.9.3-4) unstable; urgency=medium

  * apply cvs changes 1.939.
    - fix wtmp records problem (closes: #329194)
  * removed mlterm-im-iiimf from the distribution.
    Debian IIIMF seems not well maintained and its ABI change
    prevents building mlterm. Plus only a few users use it.

