=== debian/control ===
Source: mlterm
Section: x11
Priority: optional
Maintainer: Kenshi Muto <kmuto@debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev
Standards-Version: 3.9.1
Homepage: http://mlterm.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git

Package: mlterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
Recommends: mlterm-tools
Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
Conflicts: mlterm-tiny
Provides: x-terminal-emulator
Description: MultiLingual TERMinal
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.

Package: mlterm-tiny
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
Conflicts: mlterm
Provides: x-terminal-emulator
Description: MultiLingual TERMinal, tiny version
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.
 .
 This tiny version does not support fancy features such as background
 image and so on, except for i18n-related features.

Package: mlterm-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Recommends: mlterm | mlterm-tiny
Description: MultiLingual TERMinal, common files
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains necessary files which are common for mlterm
 and mlterm-tiny packages.

Package: mlterm-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>= 2.9.4-1), mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Breaks: mlterm (<= 2.8.0.cvs20040403-2)
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Description: MultiLingual TERMinal, additional tools
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains configuration tools and so on for mlterm.

Package: mlterm-im-uim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, uim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains uim input method plugin for mlterm.

Package: mlterm-im-scim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, scim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains scim input method plugin for mlterm.

Package: mlterm-im-m17nlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, m17nlib input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains m17nlib input method plugin for mlterm.
