=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


MLTERM_COMMON=$(CURDIR)/debian/mlterm-common
MLTERM=$(CURDIR)/debian/mlterm
MLTERM_TINY=$(CURDIR)/debian/mlterm-tiny
MLTERM_TOOLS=$(CURDIR)/debian/mlterm-tools
MLTERM_IM_UIM=$(CURDIR)/debian/mlterm-im-uim
#MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim

OPTS_COMMON=--x-includes=/usr/X11R6/include \
            --x-libraries=/usr/X11R6/lib \
            --disable-rpath \
            --enable-fribidi
          # --enable-utmp \

OPTS_TINY=$(OPTS_COMMON) \
          --with-type-engines=xcore \
          --with-scrollbars=sample

OPTS_MAIN=$(OPTS_COMMON) \
          --with-imagelib=gdk-pixbuf2 --with-type-engines=xcore,xft \
          --enable-optimize-redrawing \
          --enable-fribidi \
          --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
          --with-scrollbars=sample,extra,pixmap_engine \
          --enable-uim \
          --enable-m17nlib \
          --enable-scim
        # --enable-iiimf \

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xwindow-tiny

override_dh_auto_configure:
	# Make mlterm-common, mlterm, mlterm-tools
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"

override_dh_auto_build:
	dh_auto_build

	# Make mlterm-tiny
	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)"
	cp -a xwindow xwindow-tiny
	rm -f xwindow-tiny/*.o
	$(MAKE) -C xwindow-tiny VPATH=$(CURDIR)/xwindow-tiny PROG=mlterm-tiny

	# configure again for installation (later)
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	# mlterm-common
	$(MAKE) install DESTDIR=$(MLTERM_COMMON)
	TERMINFO=$(MLTERM_COMMON)/usr/share/terminfo tic doc/term/mlterm.ti
	for i in main font aafont key termcap xim color menu ; \
	  do install -m 644 debian/config-$$i \
	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done

	#for i in Bluecurve BrushedMetal Crux LihthouseBlue ShinyMetal \
	#    Smokey-Blue ; \
	#  do install -d $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; \
	#  install -m 644 contrib/scrollbar/$$i/[^C]* \
	#    $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; done
	rm $(MLTERM_COMMON)/usr/lib/*.so
	rm $(MLTERM_COMMON)/usr/lib/*.a
	rm $(MLTERM_COMMON)/usr/lib/*.la
	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a
	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.la

	# mlterm-tools
	mv $(MLTERM_COMMON)/usr/bin/mlcc     $(MLTERM_TOOLS)/usr/bin/
	mv $(MLTERM_COMMON)/usr/bin/mlclient $(MLTERM_TOOLS)/usr/bin/
	mv $(MLTERM_COMMON)/usr/share/man/man1/mlclient.1 \
		$(MLTERM_TOOLS)/usr/share/man/man1/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlterm-zoom \
		$(MLTERM_TOOLS)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlterm-menu \
		$(MLTERM_TOOLS)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlconfig \
		$(MLTERM_TOOLS)/usr/lib/mlterm/

	# mlterm
	mv $(MLTERM_COMMON)/usr/bin/mlterm     $(MLTERM)/usr/bin/

	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-uim.so $(MLTERM_IM_UIM)/usr/lib/mlterm/
	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
		$(MLTERM)/usr/share/man/man1/

	# mlterm-tiny
	$(MAKE) -C xwindow-tiny install DESTDIR=$(MLTERM_TINY) PROG=mlterm-tiny
	mv $(MLTERM_TINY)/usr/bin/mlterm-tiny $(MLTERM_TINY)/usr/bin/mlterm
	mv $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
		$(MLTERM_TINY)/usr/share/man/man1/

	rm -r $(MLTERM_COMMON)/usr/bin $(MLTERM_COMMON)/usr/share/man

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/mlterm
