## mlterm 3.0.2

=== debian/changelog ===
mlterm (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: gdk-pixbuf2 -> gdk-pixbuf
  * Refreshed patch: disable_rpath.diff
  * Removed numlock.diff and fix_ftbfs_with_binutils_gold.diff patches, as
    they got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Stop shipping terminfo for mlterm to make way for ncurses-term to ship it
    (Closes: #485448, #300173)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Jan 2011 16:17:40 +0200

mlterm (3.0.1-3) unstable; urgency=low

  * Added patch from upstream to fix FTBFS with binutils-gold.
    (Closes: #605298)
  * debian/mlterm-common.docs: Removed ChangeLog as it is already
    installed by dh_installchangelogs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 29 Nov 2010 06:36:46 +0200
