=== debian/changelog ===
mlterm (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed disable_rpath.diff patch.
  * Added manpage.diff patch to properly escape minus signs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 25 Mar 2011 09:46:00 +0200

mlterm (3.0.2-2) unstable; urgency=low

  * Upload to unstable.
  * Remove leading slashes from lintian overrides

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Mar 2011 20:55:37 +0200
