=== debian/control ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 Package: mlterm-common
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term (>= 5.7+20101128-1)
 Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Recommends: mlterm | mlterm-tiny
 Description: MultiLingual TERMinal, common files
