=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
           --with-scrollbars=sample
 
 OPTS_MAIN=$(OPTS_COMMON) \
-          --with-imagelib=gdk-pixbuf2 --with-type-engines=xcore,xft \
+          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft \
           --enable-optimize-redrawing \
           --enable-fribidi \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
@@ -82,7 +82,6 @@
 override_dh_auto_install:
 	# mlterm-common
 	$(MAKE) install DESTDIR=$(MLTERM_COMMON)
-	TERMINFO=$(MLTERM_COMMON)/usr/share/terminfo tic doc/term/mlterm.ti
 	for i in main font aafont key termcap xim color menu ; \
 	  do install -m 644 debian/config-$$i \
 	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done
