## mlterm 3.0.5

=== tool/accessories/Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin

DESTDIR=
BINDIR=$(DESTDIR)$(bindir)

TARGETS=xconsole.sh google.sh

INSTALL=install -c

install:
	$(INSTALL) -m 755 $(TARGETS) $(BINDIR)/
