=== debian/changelog ===
mlterm (3.0.5-2) unstable; urgency=low

  [ Kenshi Muto ]
  * remove unnecessary gtk/INSTALL.orig file

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Enable IBus input method (Closes: #631493)
    + debian/control:
      - Add libibus-dev to Build-Deps
      - Added mlterm-im-ibus binary package
    + debian/rules:
      - Pass --enable-ibus option to configure
      - Install libim-ibus.so to mlterm-im-ibus package
    + Added mlterm-im-ibus.dirs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 24 Jun 2011 15:21:46 +0200

mlterm (3.0.5-1) unstable; urgency=low

  * New upstream release. (Closes: #629163)
  * debian/mlterm-tools.lintian-overrides: Remove leading slash from lintian
    override.
  * debian/rules: Do not install .a and .la files (Closes: #622546)
  * debian/control: Bumped Standards-Version to 3.9.2
  * Bumped compat level to 8
  * Refreshed disable_rpath.diff patch.
  * Removed manpage.diff patch, as it got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik & libmkf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 10 Jun 2011 08:36:55 +0200
