=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-dev
+Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git
@@ -123,3 +123,13 @@
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
+
+Package: mlterm-im-ibus
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Description: MultiLingual TERMinal, IBus input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains IBus input method plugin for mlterm.
