=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
+MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
@@ -53,7 +54,8 @@
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim
+          --enable-scim \
+					--enable-ibus
         # --enable-iiimf \
 
 %:
@@ -96,6 +98,8 @@
 	rm $(MLTERM_COMMON)/usr/lib/*.la
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.la
+	rm $(MLTERM_COMMON)/usr/lib/mkf/*.a
+	rm $(MLTERM_COMMON)/usr/lib/mkf/*.la
 
 	# mlterm-tools
 	mv $(MLTERM_COMMON)/usr/bin/mlcc     $(MLTERM_TOOLS)/usr/bin/
@@ -116,6 +120,7 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
+	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/
