## mlterm 3.0.6

=== tool/accessories/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DESTDIR=
 BINDIR=$(DESTDIR)$(bindir)
 
-TARGETS=xconsole.sh google.sh
+TARGETS=xconsole.sh google.sh mlsearch.sh
 
 INSTALL=install -c
