=== debian/changelog ===
mlterm (3.0.6-1) unstable; urgency=low

  * New upstream release.
  * Added debian/mlterm-common.symbols
  * debian/control: Remove dependency on mlterm-common, as it is better
    handled by ${shlib:Depends}
  * Enable ssh2 support
    + debian/control: Add libssh2-1-dev to Build-Deps
    + debian/rules: Add --enable-ssh2 to OPTS_COMMON
  * Refreshed patches
  * Enable Cairo rendering engine
    + debian/rules: Add cairo to --with-type-engines for OPTS_MAIN
    + debian/control: Add libcairo2-dev to Build-Deps
  * debian/mlterm-common.shlibs: SO bump for libmkf
  * Updated debian/mlterm-common.symbols
  * Disable IBus input method for now, since Debian has a development release
    that causes mlterm to FTBFS.
  * Exclude /usr/lib/mkf/* from dh_makeshlibs target.
  * Added versioned dependency on mlterm | mlterm-tiny for mlterm-im-*
    packages (Closes: #633790).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Aug 2011 16:47:08 +0200
