=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-dev
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libssh2-1-dev, libcairo2-dev
 Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
@@ -11,7 +11,7 @@
 
 Package: mlterm
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
 Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
@@ -40,7 +40,7 @@
 
 Package: mlterm-tiny
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
@@ -84,7 +84,7 @@
 
 Package: mlterm-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>= 2.9.4-1), mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Breaks: mlterm (<= 2.8.0.cvs20040403-2)
 Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Description: MultiLingual TERMinal, additional tools
@@ -96,7 +96,7 @@
 
 Package: mlterm-im-uim
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, uim input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -106,7 +106,7 @@
 
 Package: mlterm-im-scim
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, scim input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -116,20 +116,10 @@
 
 Package: mlterm-im-m17nlib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, m17nlib input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
-
-Package: mlterm-im-ibus
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
-Description: MultiLingual TERMinal, IBus input method plugin
- mlterm is a terminal emulator for X Window System, which supports
- various encodings, doublewidth characters, BiDi, Arabic shaping,
- and so on.
- .
- This package contains IBus input method plugin for mlterm.
