=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,11 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
-MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
+            --enable-ssh2 \
             --enable-fribidi
           # --enable-utmp \
 
@@ -47,15 +47,14 @@
           --with-scrollbars=sample
 
 OPTS_MAIN=$(OPTS_COMMON) \
-          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft \
+          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
           --enable-optimize-redrawing \
           --enable-fribidi \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim \
-					--enable-ibus
+          --enable-scim
         # --enable-iiimf \
 
 %:
@@ -120,7 +119,6 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
-	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/
 
@@ -135,4 +133,4 @@
 override_dh_auto_test:
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/mlterm
+	dh_makeshlibs -Xusr/lib/mlterm -Xusr/lib/mkf
