## mlterm 3.0.8

=== debian/changelog ===
mlterm (3.0.8-2) unstable; urgency=low

  * debian/control:
    + Update suggests for gothic font package.
      Thanks to Hideki Yamane <henrich@debian.or.jp> (Closes: #644770)
    + Update suggests for arphic font packages

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 11 Oct 2011 19:23:57 +0200

mlterm (3.0.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped support_ldflags.diff patch: applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 20:45:50 +0200

mlterm (3.0.7-1) unstable; urgency=low

  * New upstream release.
    + ml_bidi.c: Double free problem is fixed. (Closes: #640180)
  * debian/mlterm-common.symbols: Updated symbols file
  * Added xwindow/libtype/Makefile.in to disable_rpath.diff patch
  * Updated symbols file
  * Added support_ldflags.diff patch to add LDFLAGS support in makefiles
  * debian/rules:
    + Pass -Wl,--as-needed to LDFLAGS
    + Enable Indic rendering in common configure opts
    + Only specify libkik.so & libmkf.so for deletion from /usr/lib, this is
      to avoid deleting /usr/lib/libmlterm_core.so

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 20:40:26 +0200
