=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -41,7 +41,7 @@
 Package: mlterm-tiny
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version
