=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
             --enable-ssh2 \
-            --enable-fribidi
+            --enable-fribidi \
+						--enable-ind
           # --enable-utmp \
 
 OPTS_TINY=$(OPTS_COMMON) \
@@ -66,19 +67,19 @@
 
 override_dh_auto_configure:
 	# Make mlterm-common, mlterm, mlterm-tools
-	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:
 	dh_auto_build
 
 	# Make mlterm-tiny
-	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 	cp -a xwindow xwindow-tiny
 	rm -f xwindow-tiny/*.o
 	$(MAKE) -C xwindow-tiny VPATH=$(CURDIR)/xwindow-tiny PROG=mlterm-tiny
 
 	# configure again for installation (later)
-	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_install:
 	# mlterm-common
@@ -92,7 +93,8 @@
 	#  do install -d $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; \
 	#  install -m 644 contrib/scrollbar/$$i/[^C]* \
 	#    $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; done
-	rm $(MLTERM_COMMON)/usr/lib/*.so
+	rm $(MLTERM_COMMON)/usr/lib/libkik.so
+	rm $(MLTERM_COMMON)/usr/lib/libmkf.so
 	rm $(MLTERM_COMMON)/usr/lib/*.a
 	rm $(MLTERM_COMMON)/usr/lib/*.la
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a
