## mlterm 3.0.9

=== debian/changelog ===
mlterm (3.0.9-1) unstable; urgency=low

  * New upstream release.
  * Re-enable IBus input method. (Closes: #631493)
  * debian/control:
    + Update suggests for baekmuk font package
    + Updated Build-Dep for IBus to libibus-1.0-dev
  * Install docs in mlterm-common only
    + Remove mlterm-{tiny,tools}.docs, mlterm.docs
    + debian/rules: override dh_installdocs to link all packages' docs to
      mlterm-common
  * mlterm-common.docs: Add doc/en/FAQ and doc/en/ReleaseNote
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Updated debian/mlterm-common.symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 Nov 2011 19:41:38 +0200
