=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libssh2-1-dev, libcairo2-dev
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
 Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -41,7 +41,7 @@
 Package: mlterm-tiny
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version
@@ -123,3 +123,13 @@
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
+
+Package: mlterm-im-ibus
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Description: MultiLingual TERMinal, IBus input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains IBus input method plugin for mlterm.
