## mlterm 3.0.11

=== debian/changelog ===
mlterm (3.0.11-1) unstable; urgency=low

  * New upstream release.
  * Removed iconpathfix.diff patch as it is included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Feb 2012 11:30:24 +0200

mlterm (3.0.9-2) unstable; urgency=low

  * Added iconpathfix.diff patch to fix icon path issue. (Closes: #650515)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 12 Dec 2011 18:24:16 +0200
