=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
+MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
@@ -55,7 +56,8 @@
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim
+          --enable-scim \
+					--enable-ibus
         # --enable-iiimf \
 
 %:
@@ -121,6 +123,7 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
+	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/
 
@@ -136,3 +139,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/mlterm -Xusr/lib/mkf
+
+override_dh_installdocs:
+	dh_installdocs --link-doc=mlterm-common
